package com.pcloud.book.riddle.dto;

/**
 * @描述：
 * @作者：zhuyajie
 * @创建时间：11:58 2019/8/8
 * @版本：1.0
 */
public class GroupRedisDTO {

    private String wxGroupId;
    private String wxId;
    private String ip;

    public String getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(String wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    public String getWxId() {
        return wxId;
    }

    public void setWxId(String wxId) {
        this.wxId = wxId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    @Override
    public String toString() {
        return "GroupRedisDTO{" +
                "wxGroupId='" + wxGroupId + '\'' +
                ", wxId='" + wxId + '\'' +
                ", ip='" + ip + '\'' +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        GroupRedisDTO dto = (GroupRedisDTO) o;

        return wxGroupId.equals(dto.wxGroupId);
    }

}
